package assets;

import models.Model;
import renderer.Loader;

public class Grid {

	private Loader loader; 
	private Model model;
	
	public Model getModel() {
		return model;
	}
	
	public Grid(Loader loader){
		this.loader = loader;
			
		float[] positions = {
				-0.5f, -0.5f, -0.5f,
				 0.5f, -0.5f, -0.5f,
				 0.5f, -0.5f,  0.5f,
				-0.5f, -0.5f,  0.5f,
				-0.5f,  0.5f, -0.5f,
				 0.5f,  0.5f, -0.5f,
				 0.5f,  0.5f,  0.5f,
				-0.5f,  0.5f,  0.5f,
		};
		
    	int[]   indices = {
    			0,1,
    			1,2,
    			2,3,
    			3,0,
    			0,4,
    			4,5,
    			5,6,
    			6,7,
    			7,4,
    			7,3,
    			2,6,
    			5,1
    	};
		
    	float[] colours = {
    			0.0f,0.0f,0.0f,
    			0.0f,0.0f,0.0f,
    			0.0f,0.0f,0.0f,
    			0.0f,0.0f,0.0f,
    			0.0f,0.0f,0.0f,
    			0.0f,0.0f,0.0f,
    			0.0f,0.0f,0.0f,
    			0.0f,0.0f,0.0f,
    			0.0f,0.0f,0.0f,
    			0.0f,0.0f,0.0f,
    			0.0f,0.0f,0.0f,
    			0.0f,0.0f,0.0f,
    	};
    	
    	model = loader.loadToVAO(positions, indices, colours);
	}
}
