package assets;

import org.lwjgl.util.vector.Vector3f;

import models.Model;
import renderer.Loader;

public class Point {
	
	private Vector3f position;
	private Model model;
	
	public Point(Vector3f position, Loader loader) {
		this.position = position;
		float[] col = {1.0f, 0f, 0f};
		int[] ind = {0};
		float[] pos = {this.position.x, this.position.y, this.position.z};
		model = loader.loadToVAO(pos, ind , col);
	}
	
	public Vector3f getPosition() {
		return position;
	}

	public Model getModel() {
		return model;
	}
}
